export default {
	namespaced: true,
	state: {
		token: uni.getStorageSync("token")?uni.getStorageSync("token"):'',
		profile:uni.getStorageSync("profile")?uni.getStorageSync("profile"):{},
	},
	mutations: {
		setToken(state, token) {
			state.token = token;
			uni.setStorageSync("token",token)
		},
		setProfile(state, profile) {
			state.profile = profile;
			uni.setStorageSync("profile",profile)
		}
	},
	actions: {
		login({
			commit
		}, {
			token,
			profile
		}) {
			commit('setToken', token);
			commit('setProfile', profile);
		},
		logout({
			commit
		}) {
			commit('setToken', '');
			commit('setProfile', {});
		}
	},
	getters: {
		isLogin: state => !!state.token
	}
};